relNet2TGF {maigesPack} | R Documentation

## Transform Relevance Network analysis in TGF output

### Description

This function receive an object of class `maigesRelNetB` or `maigesRelNetM` and write TGF files with the relevance networks produced.

### Usage

    relNet2TGF(...)

    ## S3 method for class 'maigesRelNetB':
    relNet2TGF(data, dir = "./",
      filename="group.tgf", corC=NULL, pValue=0.05, ...)

    ## S3 method for class 'maigesRelNetM':
    relNet2TGF(data, dir = "./",
      filenames=c("group1.tgf", "group2.tgf", "difPvalue.tgf"),
      pValue=0.05, ...)

### Arguments

`data` | object of class `maigesRelNetB` or `maigesRelNetM`.
`dir` | character string specifying the folder to save the TGF files.
`filename` | character string specifying the file name, for objects of class `maigesRelNetB`.
`filenames` | character vector of length 3 with the file names to be saved, for objects of class `maigesRelNetM`.
`corC` | numeric in [0,1] specifying the cutoff for selecting absolute correlation. May also be 'max' to select the maximum correlation values in a permutation bootstrap strategy, as proposed by Butte et al. (2000).
`pValue` | numeric in [0,1] specifying the cutoff for selecting correlation values by p-values.
`...` | additional parameters.

### Details

This function only picks the result of the `relNetworkB` or `relNetworkM` and display write TGF files. This files are interesting to be used with Yed graph visualisation and editing tool, wrote in Java (http://www.yworks.com/en/products_yed_about.htm).

### Value

This function don't return any object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### References

Butte, A.J.; Tamayo, P.; Slonim, D.; Golub, T.R. and Kohane, I.S. Discovering functional relationships between RNA expression and chemotherapeutic susceptibility using relevance networks, PNAS, 97, 12182-12186, 2000 (http://www.pnas.org/cgi/content/full/97/22/12182)

### See Also

`relNetworkB`, `relNetworkM`, `maigesRelNetB`, `maigesRelNetM`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Constructing the relevance network for sample
    ## 'Tissue' comparing 'Neso' and 'Aeso' for the 1st gene group
    ## The same is also true for objects of class maigesRelNetB
    gastro.net = relNetworkM(gastro.summ, sLabelID="Tissue",
      samples = list(Neso="Neso", Aeso="Aeso"), geneGrp=11,
      type="Rpearson")

    relNet2TGF(gastro.net)

[Package maigesPack version 1.4.0 Index]